// Persistence of Vision Ray Tracer Scene Description File
// File: ?.pov
// Vers: 3.6
// Desc: Basic Scene Example
// Date: mm/dd/yy
// Auth: ?
//

#version 3.6;

#include "colors.inc"

global_settings {
  assumed_gamma 1.0
}

// ----------------------------------------
//-------------------------------------------Jeux de cameras produits par Eloi Simard------------------------------ 





    //============Cette section sert  programmer plusieurs mouvements d'un seul coup
    // Les variable TempsX coupent le temps en 5 tapes allant de 0  1
    //Dans l'exemple, la camera hesite entre les trois objet et choisit le 
    
#declare Temps1= 1;
#declare Temps2= 1;
#declare Temps3= 0.6;
#declare Temps4= .8;


#if(clock <= Temps1)
#declare positioncamera1 = <40,0,75>;
#declare positioncamera2 = <40,0,140>;
#declare LookAt1 = <0,13,0> ;
#declare LookAt2 = <0,19,0>;
#declare Relativeclock= clock/(Temps1);
#else  //else1
	
	#if (clock<= Temps2)
	#declare positioncamera1 = <0,0,20>;
	#declare positioncamera2 = <0,0,20>;
	#declare LookAt1 = <-5,5,0> ;
	#declare LookAt2 = <5,5,0>;
	#declare Relativeclock=(clock -Temps1) /(Temps2-Temps1);
	#else //else2
		
		#if (clock<= Temps3)
		#declare positioncamera1 = <0,0,20>;
		#declare positioncamera2 = <0,0,20>;
		#declare LookAt1 = <5,5,0> ;
		#declare LookAt2 = <2.5,1,0>;
		
		#declare Relativeclock= (clock-Temps2)/(Temps3-Temps2);
		#else //else3
			#if (clock<= Temps4)
			#declare positioncamera1 = <0,0,20>;
			#declare positioncamera2 = <0,0,20>;
			#declare LookAt1 = <2.5,1,0> ;
			#declare LookAt2 = <5,5,0>;     
			#declare Relativeclock= (clock-Temps3)/(Temps4-Temps3);
			#else //else4
			
				#if (clock<= 1)
				#declare positioncamera1 = <0,0,20>;
				#declare positioncamera2 = <5,5,0>;
				#declare LookAt1 = <5,5,0> ;
				#declare LookAt2 = <5,5,0>;     
			       #declare Relativeclock= (clock-Temps4)/(1-Temps4);
			       #end		
			#end //end else4
		#end //3
	#end //2
#end //1

//=============================================================================


//variables apres calculs de video (le clock doit aller de 0  1
#declare PosCam= positioncamera1+Relativeclock*(positioncamera2-positioncamera1)   ;
#declare LookAt = LookAt1+ Relativeclock*(LookAt2 - LookAt1);





//    ---------------------------------------Fin des jeux de camras------------------------------------------------------------

camera {       
  location  PosCam
  direction 1.5*z
  right     x*image_width/image_height
  look_at  LookAt }

sky_sphere {
  pigment {
    gradient y
    color_map {
      [0.0 rgb <0.6,0.7,1.0>]
      [0.7 rgb <0.0,0.1,0.8>]
    }
  }
}

light_source {
  <0, 0, 0>            // light's position (translated below)
  color rgb <1, 1, 1>  // light's color
  translate <-30, 30, -30>
}


light_source {
  PosCam            // light's position (translated below)
  color rgb <1, 1, 1>  // light's color
 
}


// ----------------------------------------



/*plane {
  y, -2
  pigment { color rgb <0.7,0.5,0.3> }
}

*/




//===========================================scene


box { <-5, -5, -5>, <5, 5, 5>   pigment {color rgbt <1,0,0,0> }}
box { <-5, 5, -5>, <5, 15, 5>  pigment {color rgbt <1,0,0,min(1,max(0,1.1-2*clock))> }}
box { <-5, 15, -5>, <5, 25, 5>  pigment {color rgbt <1,0,0,min(1,max(0,1.4-2*clock))> }}
box { <-5, 25, -5>, <5, 35, 5>  pigment {color rgbt <1,0,0,min(1,max(0,1.7-2*clock))> }}   
box { <-5, 35, -5>, <5, 45, 5>  pigment {color rgbt <1,0,0,min(1,max(0,2-2*clock))> } }

